import Vue from 'vue'
import tableOption from './table'
import IndexDBCache from './indexedDB'

//初始化数据库
const indexDb = new IndexDBCache()
indexDb.initDB().then(async(res) => {
    if (res.type == 'upgradeneeded') {
        console.log('indexDB 数据库创建或更新成功!')
    } else {
        console.log('indexDB 数据库初始化成功!')
    }
}).catch((err) => {
    console.log('indexDB 数据库初始化失败! ', err)
})


Vue.prototype.$db = indexDb
Vue.prototype.$tableOption = tableOption