export default {
    FileIndex: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: true,
        tip: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '用户名',
                prop: "username",
            },
            {
                label: '录音来源',
                prop: "sourceCode",
                formatter: row => {
                    return row.sourceCode == 2 ? "SIM设备" : row.sourceCode == 6 ? "wifi设备" : "" 
                }
            },
            {
                label: '设备编号',
                prop: "imei",
            },
            {
                label: '录音时长',
                prop: "recordDuration",
            },
            {
                label: '录音结束时间',
                prop: "recordEndTime",
            },
            {
                label: '文件上传时间',
                prop: "receptionTime",
            },
        ]
    }
}