export const tableOption = {
  border: true,
  index: true,
  height: 527,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  menuWidth: 250,
  menu:false,
  align: "left",
  refreshBtn: false,
  showColumnBtn: false,
  searchSize: "mini",
  searchMenuSpan: 9,
  delBtn: false,
  addBtn: false,
  editBtn: false,
  viewBtn: true,
  size: "small",
  column: [
    {
      label: "操作人",
      prop: "name",
      search: true
    },
    {
      label: "操作手机",
      prop: "createBy",
      search: true
    },
    // {
    //   label: "终端",
    //   width: 180,
    //   prop: "title"
    // },
    {
      label: "登录IP",
      prop: "remoteAddr"
    },
    {
      label: "操作时间",
      prop: "createTime",
    },
    {
      label: "操作类型",
      prop: "type",
      dicData: [{
        label: '新增管理',
        value: "0"
      }, {
        label: '编辑项目',
        value: "1"
      }, {
        label: '删除项目',
        value: "2"
      }, {
        label: '新增公司',
        value: "3"
      }, {
        label: '编辑公司',
        value: "4"
      }, {
        label: '删除公司',
        value: "5"
      }, {
        label: '新增代理商',
        value: "6"
      }, {
        label: '系统运营',
        value: '7'
      }]
    },
    {
      label: '操作内容',
      prop: 'title',
      search: true
    }
  ]
};
export const tableOption1 = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  height: 527,
  menuAlign: "center",
  menuWidth: 150,
  menu:false,
  align: "left",
  refreshBtn: true,
  showClomnuBtn: false,
  searchSize: "mini",
  searchMenuSpan: 6,
  delBtn: false,
  addBtn: false,
  editBtn: false,
  viewBtn: true,
  props: {
    label: "label",
    value: "value"
  },
  column: [
    {
      label: "用户名称",
      prop: "name"
    },
    {
      label: "登录手机",
      prop: "createBy",
    },
    // {
    //   label: "登录后台",
    //   prop: "title",
    // },
    // {
    //   label: "组织名称",
    //   prop: "title",
    // },
    // {
    //   label: "登录客户端",
    //   prop: "title",
    // },
    {
      label: "登录IP",
      prop: "remoteAddr"
    },
    // {
    //   label: "城市",
    //   prop: "remoteAddr"
    // },
    {
      label: "登录时间",
      prop: "createTime"
    },
    // {
    //   label: "离线时间",
    //   prop: "createTime"
    // },
  ]
};
