export default {
    SchedulingIndex: {
        border: true,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        selection: true,
        tip: false,
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "顾问名",
                prop: "name",
            },

            {
                label: "状态",
                prop: "status",
                formatter: data => {
                    let str = '' 
                    switch(Number(data.status)) {
                        case 0:
                            str = '空闲'
                            break;
                        case 1:
                            str = '接待中'
                            break;
                        case 2:
                            str = '暂停接待'
                            break;
                        default:
                            str = ''
                            break;
                    }
                    return str
                }
            },
            {
                label: "有无排班",
                prop: "hasSchedule",
                formatter: data => {
                    return data.hasSchedule == 1 ? "有排班" : "无排班"
                }
            },


        ]
    }
}