export default {
    StatisticsBuildingContrast: {
        border: true,
        index: true,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '项目',
                prop: 'houseName',
                width: '200px',
            },
            {
                label: "平均执行率",
                prop: "fraction",
                formatter: data => {
                    return `${data.fraction || 0}%`
                }
            },
            
            {
                label: "顾问数",
                prop: "accountNum",
            },

            {
                label: "接待量",
                prop: "receptionCount",
            },

            {
                label: "有效接待",
                prop: "activeCustomer",
                width: '100px',
            },

            {
                label: "违禁接待次数",
                prop: "prohibitedCustomer",
                width: '140px',
            },

            {
                label: "接待时长(分钟)",
                prop: "sumDuration",
                width: '140px',
                formatter: data => {
                    return Math.floor(data.sumDuration/60) || 0 
                }
            },

            {
                label: "违禁接待占比",
                prop: "prohibitedZb",
                width: '140px',
                formatter: data => {
                    return `${data.prohibitedZb || 0}%`
                }
            },

            {
                label: "优秀案例数",
                prop: "addtodigestCount",
            },

        ]
    }
}