export default {
    adminUserIndex: {
        border: true,
        index: false,
        height: 533,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: true,
        tip: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '用户名',
                prop: "name",
            },
            {
                label: '项目名称',
                prop: "houseName",
            },
            {
                label: '角色名称',
                prop: "roleName",
            },
            {
                label: '公司名称',
                prop: "companyName",
            },
            {
                label: '登录手机',
                prop: "username",
            },
            {
                label: '组织类型',
                prop: "orgTypeName",
            },
            {
                label: '性别',
                prop: "sex",
                formatter: row => {
                    return row.sex == 0 ? "男" : "女" 
                }
            },
            {
                label: '注册时间',
                prop: "createTime",
            },
            {
                label: '用户密码',
                prop: "resultPwd",
                hide: true,
                showColumn: false,
            },

        ]
    },
    adminUserIndexs: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: true,
        tip: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '用户名',
                prop: "name",
            },
            {
                label: '登录手机',
                prop: "username",
            },
            // {
            //     label: '所属组织',
            //     prop: "orgName",
            // },
            {
                label: '组织类型',
                prop: "orgTypeName",
            },
            {
                label: '组织角色',
                prop: "roleName",
            },
            {
                label: '用户身份',
                prop: "userRoleTypeName",
            },
            {
                label: '状态',
                prop: "lockFlag",
                formatter: row => {
                    return row.lockFlag == 0 ? "启用" : "禁用"
                }
            },
            {
                label: '添加时间',
                prop: "createTime",
                width: "160px",
            },
        ]
    }
}